Balsamiq Mockups

Informations

Creator Message
savornicesei Anonymous

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 116
Wine: System

Feedbacks

Description

Balsamiq is a rapid wireframing tool that helps you Work Faster & Smarter. It reproduces the experience of sketching on a whiteboard, but using a computer.

Making wireframes is fast. You'll generate more ideas, so you can throw out the bad ones and discover the best solutions.

Source code

#!/bin/bash
# Date : (2018-11-22)
# Distribution used to test : OpenSUSE Tumbleweed x64
# Author : Simona Avornicesei
# Licence : MIT
# PlayOnLinux: 4.2.12
#
# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
#

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

PREFIX="BalsamiqMockups"
APP_TITLE="Balsamiq Mockups"
APP_EDITOR="Balsamiq Studios, LLC"
APP_URL="https://balsamiq.com/"
SCRIPT_AUTHOR="Simona Avornicesei"

#Initialization
POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
POL_SetupWindow_Init
       
POL_Debug_Init
       
# Presentation
POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"
 
# Create Prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate

POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
 
####################################### 
# Installation
#######################################
BALSAMIQ_URL="https://builds.balsamiq.com/mockups-desktop/Balsamiq_Mockups_3.5.16_bundled.zip"
BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.16_bundled.zip"
BALSAMIQ_EXE="Balsamiq Mockups 3.exe"

# Require that unzip is available
if ! which unzip > /dev/null
then
    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
    return 1
fi

# Download and extract Balsamiq
POL_Download "$BALSAMIQ_URL"
if ! unzip "$BALSAMIQ_ZIP"
then
    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
    return 1
fi
POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/

# Delete TMP folder
POL_System_TmpDelete
 
# Create Shortcuts
POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE"

POL_SetupWindow_Close

exit 0

Contributions

Filters:

Contribute
Member Message
savornicesei Friday 23 November 2018 at 20:15
savornicesei Anonymous

Information

This update has been approved by the team.

Message

The installed software has a 30-days trial. After that, you need a legit license key to continue using it.

 

Differences

@@ -0,0 +1,69 @@
+#!/bin/bash
+# Date : (2018-11-22)
+# Distribution used to test : OpenSUSE Tumbleweed x64
+# Author : Simona Avornicesei
+# Licence : MIT
+# PlayOnLinux: 4.2.12
+#
+# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
+#
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+PREFIX="BalsamiqMockups"
+APP_TITLE="Balsamiq Mockups"
+APP_EDITOR="Balsamiq Studios, LLC"
+APP_URL="https://balsamiq.com/"
+SCRIPT_AUTHOR="Simona Avornicesei"
+
+#Initialization
+POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
+POL_SetupWindow_Init
+       
+POL_Debug_Init
+       
+# Presentation
+POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"
+ 
+# Create Prefix
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate
+
+POL_System_TmpCreate "$PREFIX"
+cd "$POL_System_TmpDir"
+ 
+####################################### 
+# Installation
+#######################################
+BALSAMIQ_URL="https://builds.balsamiq.com/mockups-desktop/Balsamiq_Mockups_3.5.16_bundled.zip"
+BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.16_bundled.zip"
+BALSAMIQ_EXE="Balsamiq Mockups 3.exe"
+
+# Require that unzip is available
+if ! which unzip > /dev/null
+then
+    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
+    return 1
+fi
+
+# Download and extract Balsamiq
+POL_Download "$BALSAMIQ_URL"
+if ! unzip "$BALSAMIQ_ZIP"
+then
+    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
+    return 1
+fi
+POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
+mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
+mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/
+
+# Delete TMP folder
+POL_System_TmpDelete
+ 
+# Create Shortcuts
+POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE"
+
+POL_SetupWindow_Close
+
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2018-11-22)
# Distribution used to test : OpenSUSE Tumbleweed x64
# Author : Simona Avornicesei
# Licence : MIT
# PlayOnLinux: 4.2.12
#
# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
#

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

PREFIX="BalsamiqMockups"
APP_TITLE="Balsamiq Mockups"
APP_EDITOR="Balsamiq Studios, LLC"
APP_URL="https://balsamiq.com/"
SCRIPT_AUTHOR="Simona Avornicesei"

#Initialization
POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
POL_SetupWindow_Init
       
POL_Debug_Init
       
# Presentation
POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"
 
# Create Prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate

POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
 
####################################### 
# Installation
#######################################
BALSAMIQ_URL="https://builds.balsamiq.com/mockups-desktop/Balsamiq_Mockups_3.5.16_bundled.zip"
BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.16_bundled.zip"
BALSAMIQ_EXE="Balsamiq Mockups 3.exe"

# Require that unzip is available
if ! which unzip > /dev/null
then
    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
    return 1
fi

# Download and extract Balsamiq
POL_Download "$BALSAMIQ_URL"
if ! unzip "$BALSAMIQ_ZIP"
then
    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
    return 1
fi
POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/

# Delete TMP folder
POL_System_TmpDelete
 
# Create Shortcuts
POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE"

POL_SetupWindow_Close

exit 0

Replies